#include <bits/stdc++.h>

using namespace std;

int n,k;
int niz[200005];
int main()
{
    cin>>n>>k;
    for(int i=1;i<=n;i++)
    {
        cin>>niz[i];
    }
    if(n==k)
    {
        if(n%2==0)
        {
            int sum1=0;
            int sum2=0;
            for(int i=1;i<=n/2;i++)
            {
                sum1+=niz[i];
            }
            for(int i=n/2+1;i<=n;i++)
            {
                sum2+=niz[i];
            }
            int rez=sum1-sum2;
            cout<<abs(rez)<<endl;
        }
        else
        {
            int mid=niz[(n+1)/2];
            int sum1=0,sum2=0;
            for(int i=1;i<=n/2;i++)
            {
                sum1+=niz[i];
            }
            for(int i=n/2+2;i<=n;i++)
            {
                sum2+=niz[i];
            }
            int rez=abs(sum1-sum2);
            mid=abs(mid);
            cout<<rez+mid<<endl;
        }
    }
    if(k==2)
    {
        cout<<abs(niz[1]-niz[n]);
    }
    return 0;
}